OpenSubdiv: TopologyRefiner::AdaptiveOptions Struct Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TopologyRefiner::AdaptiveOptions Struct Reference

Adaptive refinement options. More...

`#include <topologyRefiner.h>`

## Public Member Functions
| AdaptiveOptions (int level)
void | SetIsolationLevel (int level)
| Set isolation level.
void | SetSecondaryLevel (int level)
| Set secondary isolation level.

## Public Attributes
unsigned int | isolationLevel:4
unsigned int | secondaryLevel:4
unsigned int | useSingleCreasePatch:1
unsigned int | useInfSharpPatch:1
unsigned int | considerFVarChannels:1
unsigned int | orderVerticesFromFacesFirst:1

## Detailed Description

Adaptive refinement options.

Definition at line 156 of file topologyRefiner.h.

## Constructor & Destructor Documentation

## ◆ AdaptiveOptions()

AdaptiveOptions | ( | int | level | ) |
| inline

Definition at line 158 of file topologyRefiner.h.

## Member Function Documentation

## ◆ SetIsolationLevel()

void SetIsolationLevel | ( | int | level | ) |
| inline

Set isolation level.

Definition at line 167 of file topologyRefiner.h.

## ◆ SetSecondaryLevel()

void SetSecondaryLevel | ( | int | level | ) |
| inline

Set secondary isolation level.

Definition at line 170 of file topologyRefiner.h.

## Member Data Documentation

## ◆ considerFVarChannels

unsigned int considerFVarChannels

Inspect face-varying channels and isolate when irregular features present

Definition at line 180 of file topologyRefiner.h.

## ◆ isolationLevel

unsigned int isolationLevel

Number of iterations applied to isolate extraordinary vertices and creases

Definition at line 172 of file topologyRefiner.h.

## ◆ orderVerticesFromFacesFirst

unsigned int orderVerticesFromFacesFirst

Order child vertices from faces first instead of child vertices of vertices

Definition at line 182 of file topologyRefiner.h.

## ◆ secondaryLevel

unsigned int secondaryLevel

Shallower level to stop isolation of smooth irregular features

Definition at line 174 of file topologyRefiner.h.

## ◆ useInfSharpPatch

unsigned int useInfSharpPatch

Use infinitely sharp patches and stop isolation where applicable

Definition at line 178 of file topologyRefiner.h.

## ◆ useSingleCreasePatch

unsigned int useSingleCreasePatch

Use 'single-crease' patch and stop isolation where applicable

Definition at line 176 of file topologyRefiner.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/topologyRefiner.h